<!DOCTYPE html>

<html lang="ru">
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Minimal</title>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <link rel="stylesheet" href="style.css">
    
<script >
  document.addEventListener("DOMContentLoaded", function() { 
    document.querySelectorAll('textarea, input').forEach(function(e) {
        if(e.value === '') e.value = window.sessionStorage.getItem(e.name, e.value);
        e.addEventListener('input', function() {
            window.sessionStorage.setItem(e.name, e.value);
        })
    })

}); 
</script>

  </head>
     
<body>
  <div class="wrapper">
    <header id="header" class="header lock-padding">
      <div class="header__container _conteiner">
        <a href="" class="header__logo"></a>
        <a href="#popup" class="popup-link">Форма</a> 
      </div>
    </header>
  </div>
 
<div class="popup" id="popup">
  <div class="popup__body">
    <div class="popup__content">
      <a href="##" class="popup__close"></a>
      <form method="POST" action="form.php">
				<label>
					Имя:<br>
					<input type="text" name="name" class="name1">
				</label><br>
				<label>
				Год рождения:<br>
				<select name="year" class="year1">					
					<option>1970</option>
					<option>1971</option>
					<option>1973</option>
					<option>1974</option>
					<option>1975</option>
					<option>1976</option>
					<option>1977</option>
					<option>1978</option>
					<option>1979</option>
					<option>1980</option>
					<option>1981</option>
					<option>1982</option>
					<option>1983</option>
					<option>1984</option>
					<option>1985</option>
					<option>1986</option>
					<option>1987</option>
					<option>1988</option>
					<option>1989</option>
					<option>1990</option>
					<option>1991</option>
					<option>1992</option>
					<option>1993</option>
					<option>1994</option>
					<option>1995</option>
					<option>1996</option>
					<option>1997</option>
					<option>1998</option>
					<option>1999</option>
					<option>2000</option>
					
				</select>
				</label><br>
				Количество конечностей: <br>
				<div class="limb">	
				<label class="limb1">
					<input type="radio" name="limbs" value="4"> 4
				</label>
				<label class="limb1">
					<input type="radio" name="limbs" value="more than 5">Я осьминог
				</label>
				<label class="limb1">
					<input type="radio" name="limbs" value="less than 4">Инвалид 
				</label> <br>
			</div>

			Email:<br>
				<label class="email">	
					<input id="email" type="email" name="email">
				</label><br>
				
			Пол:<br>
			<div class="sex">
			
			<label class="sex1">
				<input type="radio" name="sex" value="M" > М
			</label>
			<label  class="sex1">
				<input id="fs" type="radio" name="sex" value="F"> Ж
			</label> 
			<label class="sex1">
				<input id="fs" type="radio" name="sex" value="MF" > Оно
			</label> 
			</div>

			<br>
			Суперспособность: <br>
			<label>
				<select name="superpowers[]" multiple="multiple" class="superpower">
					<option value="Eat and don't get fat"> Кушать и не толстеть </option>
					<option value="Wake up without an alarm clock"> Просыпаться без будильника </option>
					<option value="Гnderstand mat.analysis"> Понимать мат.анализ </option>
				</select>
			</label> <br>
		
				Биография: <br>
				<label>
					<textarea name="biography" rows="5" cols="50"></textarea>
				</label> <br>
			
				<label>
					<input type="checkbox" name="checkbox" checked="checked">
					С контрактом ознакомлен
				</label>

				<input type="submit" value ="Отправить" class="send">
		

    </form> 
    </div>
  </div>
</div>
<script src="popup.js"></script>

</body>

</html>
